class Romyow::Path
  attr_accessor :ruby_version, :home

  def initialize(options={})
    self.ruby_version = options[:ruby_version].strip if options[:ruby_version]
    self.home = ENV["HOME"]
  end

  def ruby
    existing_path("#{self.home}/.rubies/#{self.ruby_version}/bin") || '/usr/bin'
  end

  private

  def existing_path(path)
    File.directory?(path) ? path : nil
  end
end
